Subject: [PATCH v11 2/4] clk: Make clk API return per-user struct clk instances

From: [email-masked] (Tomeu Vizoso)
Date: Fri, 23 Jan 2015 11:24:41 +0100

On 01/22/2015 07:59 PM, Stephen Boyd wrote:
> On 01/22, Tomeu Vizoso wrote:
>> On 01/22/2015 02:01 AM, Stephen Boyd wrote:
>>> BTW, please try and fixup checkpatch warnings.
>>
>> What were you thinking of specifically? I'm running it with
>> --max-line-length=106 and the other warnings are in clk-test.c that I
>> still have to polish when I get some time.
> 
> I can see that sometimes we exceed the 80 character limits that
> are configured by default. We mostly stick to 80 in this file it
> seems so I'm not sure why 106 is being used.

Well, if I run checkpatch.pl with the default, I get the 80 char limit
which I think worsens readability. I use 106 as an arbitrary placeholder
for "a bit more than 80", taken from
https://lkml.org/lkml/2009/12/17/229 . I'm reformatting to 80 columns.

>>>
>>> And we do it here where we could remove the #ifdef.
>>
>> Yeah, I tried to reduce the ifdefing back then and this is the simplest
>> I could come up with. The reason for clk_get() to call
>> __clk_create_clk() directly is that it has more relevant information
>> with which to tag the per-user clk.
>>
>> of_clk_get_by_name() has the name of the node but not the dev_id, which
>> in my testing looked as much less useful when debugging who did what to
>> a clock.
>>
> 
> Agreed. But didn't we add __of_clk_get_by_name() so that we could
> pass the dev_id and con_id to it? If we did that then all the
> relevant information is there and we can call __clk_create_clk()
> directly instead of relying on the caller to do it.

Ah, that sounds much better indeed.

Will be sending v13 shortly.

Thanks,

Tomeu